import java.sql.*;
import com.intersys.jdbc.*;

public class SListTest {
	private static final String url = "jdbc:Cache://127.0.0.1:1972/USER";
	private static final String user = "_SYSTEM";
	private static final String password = "SYS";
	private static final String driverclass = "com.intersys.jdbc.CacheDriver"; 			

	public static void main(String[] args) throws Exception {

		Class.forName (driverclass);
		Connection dbconnection = DriverManager.getConnection(url,user,password);

		CacheListBuilder list = new CacheListBuilder(null);
		list.set(1);
		list.set(15);
		list.set(29);

		CallableStatement cstmt = dbconnection.prepareCall("{ ? = call SQLUser.ListTest_procList(?,?) }");

		cstmt.registerOutParameter(1, java.sql.Types.INTEGER );
		cstmt.setObject(2, list);
		cstmt.registerOutParameter(3, java.sql.Types.VARCHAR );
		
		cstmt.execute();
		
		// 1 + 15 + 29 = 45
		System.out.println(cstmt.getInt(1));
		
		CacheListBuilder outlist = new CacheListBuilder(null);
		outlist.setList(cstmt.getBytes(3));

		String ary[] = new CacheListReader(outlist).getStringArray();
		for (int i = 0; i < outlist.count(); i++) {
			System.out.println(ary[i].toString());
		}

		return;

	}
}
