import java.sql.*;
import com.intersystems.jdbc.*;

public class SListTest {
	private static final String url = "jdbc:IRIS://127.0.0.1:51773/USER";
	private static final String user = "_SYSTEM";
	private static final String password = "SYS";
	private static final String driverclass = "com.intersystems.jdbc.IRISDriver"; 			

	public static void main(String[] args) throws Exception {

		Class.forName (driverclass);
		Connection dbconnection = DriverManager.getConnection(url,user,password);
	
		ListWriter list = new ListWriter(null);
		list.set(1);
		list.set(15);
		list.set(29);
        
		CallableStatement cstmt = dbconnection.prepareCall("{ ? = call SQLUser.ListTest_procList(?,?) }");

		cstmt.registerOutParameter(1, java.sql.Types.INTEGER );
		cstmt.setObject(2, list);
		cstmt.registerOutParameter(3, java.sql.Types.VARCHAR );
		
		cstmt.execute();

		// 1 + 15 + 29 = 45
		System.out.println(cstmt.getInt(1));

		ListWriter outlist = new ListWriter(null);
		outlist.setList(cstmt.getBytes(3));

		String ary[] = new ListReader(outlist).getStringArray();
		for (int i = 0; i < outlist.count(); i++) {
			System.out.println(ary[i].toString());
		}
		
		return;
	}
}
